#
# spec file for package FirmwareUpdateKit
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2008 Steffen Winterfeldt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           FirmwareUpdateKit
Version:        2.0
Release:        2.12
Summary:        Tool for assisting with DOS-based firmware updates
License:        GPL-3.0-only
Group:          System/Boot
Source:         %{name}-%{version}.tar.xz
Requires:       dosfstools
%if 0%{suse_version} >= 1500
Requires:       mkisofs
%else
Requires:       genisoimage
%endif
Requires:       mtools
Requires:       syslinux
Obsoletes:      dosbootdisk
Provides:       dosbootdisk
ExclusiveArch:  %{ix86} x86_64

%description
This tool creates a bootable mini-DOS system and adds files to it.
It may be useful if one has to do firmware updates from a real-mode environment.

%prep
%setup -q

%build

%install
%make_install

%files
%{_bindir}/fuk
%{_datadir}/FirmwareUpdateKit
%license doc/COPYING

%changelog
* Thu May 23 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in descriptions.
* Thu May 23 2019 wfeldt@opensuse.org
- correct license
- 2.0
- removing patch support_mkisofs.patch
- removing patch user_executable.patch
* Thu May 23 2019 wfeldt@opensuse.org
- merge gh#wfeldt/FirmwareUpdateKit#2
- set PATH to sensible system default
* Thu May 23 2019 wfeldt@opensuse.org
- merge gh#wfeldt/FirmwareUpdateKit#1
- adjust script to work again (bsc#1099527)
- update git2log to latest version
- adjust Makefile to current toolchain
- add --version option
- enable 'use strict'
- add grub2 support
* Mon Mar  5 2018 adam.majer@suse.de
- support_mkisofs.patch: support mkisofs in addition to genisoimage
  (bnc#1081739)
- user_executable.patch: specify path for executables in /usr/sbin
  allowing us to create images as a regular user.
- spec file cleanup and use v3 SPDX license
* Wed Jun 20 2012 snwint@suse.de
- work around bigint strangeness in perl 5.16 (bnc#766339)
* Tue Mar  6 2012 snwint@suse.de
- added himem driver
- updated to freedos 1.1
* Fri Feb 17 2012 snwint@suse.de
- specify image geometry explicitly
* Fri Feb 17 2012 snwint@suse.de
- fix grub & lilo for small images (bnc#727974)
- added 'free' option to specify extra disk space
- added VERSION & changelog files
- removed dependency on master-boot-code
* Tue Oct 25 2011 snwint@suse.de
- fix iso creation for small firmware files
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Thu Nov 13 2008 ro@suse.de
- add exclusivearch
* Mon Oct  6 2008 snwint@suse.de
- added '--image' and '--run' options
- now really accepts more than one file as arg
* Mon Jun 16 2008 snwint@suse.de
- initial version
